Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.control
Class Header

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.protocol.http.control.Header

All Implemented Interfaces:
  Cloneable, Serializable, TestElement

public class Header
extends AbstractTestElement
implements Serializable

This class is an HTTP Header encapsulator.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`Header()` Create the header.
`Header(String name, String value)` Create the coookie.

Method Summary
`void` | `addConfigElement(ConfigElement config)`
`boolean` | `expectsModification()`
`String` | `getName()` Get the name for this object.
`String` | `getValue()` Get the value for this object.
`void` | `setName(String name)` Set the name for this object.
`void` | `setValue(String value)` Set the value for this object.
`String` | `toString()` Creates a string representation of this header.

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Header

    public Header()

  Create the header.

### Header

    public Header(String name,
                  String value)

  Create the coookie.

Method Detail

### addConfigElement

    public void addConfigElement(ConfigElement config)

### expectsModification

    public boolean expectsModification()

### getName

    public String getName()

  Get the name for this object.

  Specified by:
    `getName` in interface `TestElement`
  Overrides:
    `getName` in class `AbstractTestElement`

### setName

    public void setName(String name)

  Set the name for this object.

  Specified by:
    `setName` in interface `TestElement`
  Overrides:
    `setName` in class `AbstractTestElement`

### getValue

    public String getValue()

  Get the value for this object.

### setValue

    public void setValue(String value)

  Set the value for this object.

### toString

    public String toString()

  Creates a string representation of this header.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.